Skip to content

Create Report.

POST
/api/shape/csd/namespaces/{namespace}/reports
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/reports \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "generate_on_create": true, "namespace": "example", "report_criteria": { "affected_users": { "end_time": "example", "filters": [ { "column_name": "example", "operator": "REPORT_FILTER_OPERATOR_UNSPECIFIED", "values": [ "example" ] } ], "script_id": "example", "start_time": "example" }, "scripts": { "end_time": "example", "filters": [ { "column_name": "example", "operator": "REPORT_FILTER_OPERATOR_UNSPECIFIED", "values": [ "example" ] } ], "start_time": "example" } }, "report_name": "example", "report_type": "REPORT_TYPE_UNSPECIFIED" }'

Create a report configuration.

Examples of this operation.

namespace
required
string

Namespace Namespace.

Media typeapplication/json
CreateReportRequest

Request to create a report configuration.

object
generate_on_create
generate_on_create

Automatically generate report upon creation.

boolean format: boolean
namespace
namespace

Namespace

string
>= 1 characters <= 63 characters /^[a-z]([-a-z0-9]*[a-z0-9])?$/
report_criteria
object
affected_users
object
end_time
end_time

Format: unix epoch timestamp in seconds Fetch users whose timestamp <= end_time.

string
<= 1024 characters
filters
filters

Additional filters for the query.

Array<object>
ReportFilter

Filter definition for report criteria.

object
column_name
column_name

Column name to filter.

string
<= 1024 characters
operator
string
default: REPORT_FILTER_OPERATOR_UNSPECIFIED
Allowed values: REPORT_FILTER_OPERATOR_UNSPECIFIED REPORT_FILTER_OPERATOR_IN REPORT_FILTER_OPERATOR_NOT_IN
values
values

Filter values.

Array<string>
script_id
script_id

Script ID to filter affected users by.

string
<= 1024 characters
start_time
start_time

Format: unix epoch timestamp in seconds Fetch users whose timestamp >= start_time.

string
<= 1024 characters
scripts
object
end_time
end_time

Format: unix epoch timestamp in seconds Fetch scripts whose timestamp <= end_time.

string
<= 1024 characters
filters
filters

Additional filters for the query.

Array<object>
ReportFilter

Filter definition for report criteria.

object
column_name
column_name

Column name to filter.

string
<= 1024 characters
operator
string
default: REPORT_FILTER_OPERATOR_UNSPECIFIED
Allowed values: REPORT_FILTER_OPERATOR_UNSPECIFIED REPORT_FILTER_OPERATOR_IN REPORT_FILTER_OPERATOR_NOT_IN
values
values

Filter values.

Array<string>
start_time
start_time

Format: unix epoch timestamp in seconds Fetch scripts whose timestamp >= start_time.

string
<= 1024 characters
report_name
report_name

Human-readable name for the report.

string
>= 1 characters <= 255 characters
report_type
string
default: REPORT_TYPE_UNSPECIFIED
Allowed values: REPORT_TYPE_UNSPECIFIED REPORT_TYPE_SCRIPTS REPORT_TYPE_AFFECTED_USERS

A successful response.

Media typeapplication/json
CreateReportResponse

Response after creating a report.

object
report
object
created_at
created_at

Creation timestamp.

string format: date-time
<= 1024 characters
created_by
created_by

User who created the report.

string
<= 1024 characters
namespace
namespace

Namespace

string
>= 1 characters <= 63 characters /^[a-z]([-a-z0-9]*[a-z0-9])?$/
report_criteria
object
affected_users
object
end_time
end_time

Format: unix epoch timestamp in seconds Fetch users whose timestamp <= end_time.

string
<= 1024 characters
filters
filters

Additional filters for the query.

Array<object>
ReportFilter

Filter definition for report criteria.

object
column_name
column_name

Column name to filter.

string
<= 1024 characters
operator
string
default: REPORT_FILTER_OPERATOR_UNSPECIFIED
Allowed values: REPORT_FILTER_OPERATOR_UNSPECIFIED REPORT_FILTER_OPERATOR_IN REPORT_FILTER_OPERATOR_NOT_IN
values
values

Filter values.

Array<string>
script_id
script_id

Script ID to filter affected users by.

string
<= 1024 characters
start_time
start_time

Format: unix epoch timestamp in seconds Fetch users whose timestamp >= start_time.

string
<= 1024 characters
scripts
object
end_time
end_time

Format: unix epoch timestamp in seconds Fetch scripts whose timestamp <= end_time.

string
<= 1024 characters
filters
filters

Additional filters for the query.

Array<object>
ReportFilter

Filter definition for report criteria.

object
column_name
column_name

Column name to filter.

string
<= 1024 characters
operator
string
default: REPORT_FILTER_OPERATOR_UNSPECIFIED
Allowed values: REPORT_FILTER_OPERATOR_UNSPECIFIED REPORT_FILTER_OPERATOR_IN REPORT_FILTER_OPERATOR_NOT_IN
values
values

Filter values.

Array<string>
start_time
start_time

Format: unix epoch timestamp in seconds Fetch scripts whose timestamp >= start_time.

string
<= 1024 characters
report_id
report_id

Unique report identifier.

string
<= 1024 characters
report_name
report_name

Human-readable name for the report.

string
>= 1 characters <= 255 characters
report_type
string
default: REPORT_TYPE_UNSPECIFIED
Allowed values: REPORT_TYPE_UNSPECIFIED REPORT_TYPE_SCRIPTS REPORT_TYPE_AFFECTED_USERS
updated_at
updated_at

Update timestamp.

string format: date-time
<= 1024 characters
updated_by
updated_by

User who last updated the report.

string
<= 1024 characters
Example
{
"report": {
"report_criteria": {
"affected_users": {
"filters": [
{
"operator": "REPORT_FILTER_OPERATOR_UNSPECIFIED"
}
]
},
"scripts": {
"filters": [
{
"operator": "REPORT_FILTER_OPERATOR_UNSPECIFIED"
}
]
}
},
"report_type": "REPORT_TYPE_UNSPECIFIED"
}
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example